% TSG-MAIN1
%
% interface traitement TSG
%
% appel des boutons
%
% choix type fichier TSG
%
%  decodage TSG 
%
%  carto
%
% analyse TSVLL vs time
% analyse  TSV - carto 
% analyse TS vs LAT
% analyse TS vs LON

% validation
%
% SGDB
%
%  quit

% $Id$
%
clear all

% repertoire fichier SSS Climato 
global dirSSSCLIM
global dirSSSCLIMAN

% repertoire fichier TSG  ( ASC/TXT/TDM , mat, dat,)
global dirTSG

% nom generique fichier voyage ( sans extension)
global fic
%
% ===========================================
% variables d environnement A DEFINIR 
% les repertoires et extensions  des fichiers TSG  sont dfinis dans setific 

% repertoire fichiers climato SSS
% atalantique 
dirSSSCLIM = '..\SSSAD2\';
% globale annuelle 
dirSSSCLIMAN = '..\SSSlev1\';

% repertoire fichier data BUKKET  ( .BUK ) 
dirBUK = '..\SSSBUCKET\';

% initialiser egalement les repertoires de donnes dans setific
%
% =================================================

% creation fenetre generale
fig0 = figure( 'position',[20 40 200 680],...
               'name','VALIDATION TSG',...
               'tag','fig0',...
               'MenuBar','none');         
%

 
 % %  type fichier  par pop up
 %creation du texte "nom de fichier" 
 text0 = uicontrol( 'style','text',...
                    'ForegroundColor','k',...
                    'position', [20 625 150 20],...
                    'string',' Type  fichier TSG  : ',...
                    'HorizontalAlignment','left');
                
 % setific retourne le repertoire et l extension des fichiers TSG a traiter
 % ainsi que lea structure dfile              
 %setific realise egalement un clear all 
 bific=uicontrol('style','popupmenu',...
                   'position',[20 600 150 20],...
                   'string',['ASC : thermo V3 ',...
                             '|TXT : Labview old',...
                             '|NEW : traitement Denis',... 
                             '|LAB : Labview new '],...
                   'callback','setific')
%                              '               |TDM  : oracle|RTT : Real Time ',...
%                              '               |COR  : CORIOLIS|LEG  : Legos '],...
                 


  %
  % decodage 
  deco0 = uicontrol( 'style','pushbutton',...
                    'position',[20 500 150 30],...
                    'string','DECODAGE TSG',...
                    'tag','deco0',...
                    'callback','deco_TS_cb');
                
  % analyse carto 
  cart0 = uicontrol( 'style','pushbutton',...
                    'position',[20 450 150 30],...
                    'string',' ANALYSE CARTO',...
                    'tag','cart0',...
                    'callback','anal_MAP_cb');
                
  %   analyse TSV  et carto interactive 
  analm = uicontrol( 'style','pushbutton',...
                    'position',[20 400 150 30],...
                    'string','ANALYSE TSV-t/carto',...
                    'tag','anal0',...
                    'callback','anal_TSVm_cb'); 
                            
  % analyse TSVLL vs t
  anal0 = uicontrol( 'style','pushbutton',...
                    'position',[20 350 150 30],...
                    'string','ANALYSE TSVLL-t',...
                    'tag','anal0',...
                    'callback','anal_TSVLL_cb'); 
                
  %
  % analyse TS vs LAT 
  anala = uicontrol( 'style','pushbutton',...
                    'position',[20 300 150 30],...
                    'string','ANALYSE TS-LAT',...
                    'tag','analat',...
                    'callback','anal_TSLAT_cb'); 
                
   % analyse TS vs LON 
  analo = uicontrol( 'style','pushbutton',...
                    'position',[20 250 150 30],...
                    'string','ANALYSE TS-LON',...
                    'tag','analon',...
                    'callback','anal_TSLON_cb');              
  %
  % validation 
  vali0 = uicontrol( 'style','pushbutton',...
                    'position',[20 200 150 30],...
                    'string','VALIDATION',...
                    'tag','vali0',...
                    'callback','vali_TSV_cb');
                
  % Correction 
  core0 = uicontrol( 'style','pushbutton',...
                    'position',[20 150 150 30],...
                    'string','CORRECTION-S',...
                    'tag','core0',...
                    'callback','core_SSS_cb');
  %
  % sauv SGDB
  sauv0 = uicontrol( 'style','pushbutton',...
                    'position',[20 100 150 30],...
                    'string','sauv SGBD',...
                    'tag','sauv0',...
                    'callback','sgbd_TS_cb'); 
                
  % creation quitter
  quit0 = uicontrol( 'style','pushbutton',...
                    'position',[20 20 150 30],...
                    'string',' QUIT ',...
                    'callback','quit_cb');
                
     
