% blTSVLL  
    % trace interactif
    % T et S  et Vitesse    LAT LON 
    % vs time ( jour % Julien)
    % 
    
    % position fenetre TS
    hfTS = figure('position',[400 50 800 950]);
    
     % creation 
     % bouton analyse interactive
    ba = uicontrol('style','pushbutton',...
                   'position',[10 200 50 30],...
                   'string','ANALYS',...
                   'callback','analys_TS_cb');
    
    % bouton de zoomlink
    bz = uicontrol('style','pushbutton',...
                   'position',[10 150 50 30],...
                   'string','ZOOM',...
                   'callback','zoom_TS_cb');
                      
    % bonton de close
    bc = uicontrol('style','pushbutton',...
                   'position',[10 50 50 30],...
                   'string','CLOSE',...
                   'callback','close_cb');
    
      % min max axe time 
     tjymin=ceil(min(tjy));
     tjymax=floor(max(tjy));
            
     % plot SST  ( bleu)
     subplot(5,1,1)
     H1 = plot(tjy,sst,'k')
     grid
     hold on
    H2 = plot(tjy,sst,'+b','MarkerSize',2)  
     %set(H2,'Marker','+','MarkerSize',2)  
    hold off
    gca1 = gca
     
    % label
    %xlabel('TIME (Julian day - year start) ');
    datetick('x',6,'keeplimits')
    %set(gca,'xtick',[tjymin:1:tjymax])
    
    ylabel('SST (deg C)');
    
    %%titre
    %title(fic) 
    
    
    %plot SSS (rouge)
     subplot(5,1,2)
     H3 = plot(tjy,sss,'k')
     grid
     hold on
    H4= plot(tjy,sss,'+r','MarkerSize',2)
     %set(H4,'Marker','*','MarkerSize',2)
    hold off
    gca2 = gca
     
    % label
    %xlabel('TIME (Julian year - year start) ');
    datetick('x',20,'keeplimits')
    ylabel('SSS (PSU)');
    
    
    % plot vitesse ( noir)
    subplot(5,1,3)
      H5 = plot(tjy,vit,'g')
     grid
     hold on
     H6= plot(tjy,vit,'+k','MarkerSize',10)
     %set(H4,'Marker','*','MarkerSize',2)
    hold off
    
    % label
    %xlabel('TIME (Julian year - year start) ');
     datetick('x',20,'keeplimits')
    ylabel('VIT ');
    
    
    % plot LAT ( noir)
    subplot(5,1,4)
      H7 = plot(tjy,lat,'g')
     grid
     hold on
     H8= plot(tjy,lat,'+k','MarkerSize',2)  
     %set(H4,'Marker','*','MarkerSize',2)
    hold off 
    % label
    %xlabel('TIME (Julian year - year start) ');
    datetick('x',20,'keeplimits')
    ylabel('LAT ');
    %
    %
     % plot LON ( noir)
    subplot(5,1,5)
      H9 = plot(tjy,lon,'g')
     grid
     hold on
     H10= plot(tjy,lon,'+k','MarkerSize',2) 
     %set(H4,'Marker','*','MarkerSize',2)
    hold off
    
    % label 
    datetick('x',20,'keeplimits')
    ylabel('LON ');
  
    xlabel('TIME (from matlab julian day) ');
    
    
 
    subplot(5,1,1)
    HT = title(chtitle,'FontSize',15,'FontWeight','bold')
    
