% rdbucket
function[vbuck] = rdbucket(fic,yeard)
%
% yeard : annee de depart pour calkcul jour julien
%
% vbuck 9 colonnes
% yyyy mm dd hh mn jd lat lon sss
%  
%
% fichier bucket ASCII ( .sdf !! )
%
%12345678901234567890123456789012345678901234567890123456789012345678901234
%TMA20010626FNHO  CO0101    2001 131 839  2308  -3530 2358 37388 37454 37441A
%date modif CCCC  VVVVVV    yyyymmddhhmn long         ssst sssth sssbu
%
%
disp([fic,'  lecture/decodage  fichier BUCKET  '])

% ouverture fichier
fid=fopen(fic);
%
        % compteur record fichier original
        irec = 0;
        
        % compteur ligne "valide" 
        ilig = 0;
        
        % boucle toujours vrai
        while 1
            irec = irec+1;      
            % impression 
            if(mod(irec,1)==0) disp(irec);
            end;
     
            %
            % lecture text de la ligne
            cline = fgetl(fid);  
            disp(cline);
            %
            ilig=ilig+1;
            %
            if ~ischar(cline), break, end
            %
            % passage valeur numerique
            %line = str2num(cline);
            %
            cyyyy=cline(28:31);
            cmm=cline(32:33);
            cdd=cline(34:35);
            chh=cline(36:37);
            cmn=cline(38:39);
            clat = cline(40:45);
            clon = cline(46:52);
            csssb = cline(64:69);
            
            tyyb = str2num(cyyyy);
            tmmb = str2num(cmm);
            tddb = str2num(cdd);
            thhb = str2num(chh);
            tmnb = str2num(cmn);
            %
            % calcul jour julien annee
                 % jour julien ( debut 0 - anne dbut )
                 tjdb = to_day(yeard,tyyb,tmmb,tddb,thhb,tmnb); 
                 
           % remplissage vbuck 
        
            vbuck(ilig,1) = tyyb;
            vbuck(ilig,2) = tmmb;
            vbuck(ilig,3) = tddb;
            vbuck(ilig,4) = thhb;
            vbuck(ilig,5) = tmnb;
            vbuck(ilig,6) = tjdb;
            
            lat = str2num(clat);
            vbuck(ilig,7) = lat/100.;
            lon = str2num(clon);
            vbuck(ilig,8) = lon/100.;
            
            sssb = str2num(csssb);
            vbuck(ilig,9) = sssb/1000.;
            
            
        end 
   