% lecture fichier climato SSS levitus biveau surface 
%
function [D] = rdssslevs(mm)
%
disp( ['gestion - lecture CLIM SSS LEVITUS mois : ',mm])

% fichier levitus 
fic=['d:\SSSLEV\SAL',mm,'.OBJ'];
    disp(fic)
%
  % load impossible car ligne  sans separateur pour valeur manquante
%  ouverture 
fid = fopen(fic,'r');
%
%  init parametre grille
% les parametres de grille sont global
global nblig nbcol latdeb londeb latpas lonpas latfin lonfin

% origine geographique bas - droite en colonnes , lignes 90S / equ 
nbcol=360;
nblig=180;
latpas=1;
lonpas=1;
%
% modif
%londeb = 0.5;
londeb=-179.5;
latdeb=-89.5;
%
% fin geographique de la grille 
lonfin= (londeb + lonpas*nbcol) - 1;
latfin =(latdeb + latpas*nblig) - 1;
%
% formation SSS  LEVITUS
% tableau  90 lignes * 180 colonnes
%
% 1 record de 10valeurs F8.4 par enregistrement dfe 80 char 
% 180   groupes de 36 records de 10  valeurs 
%
% niveau surface 
% soit le premier "canal"
for il=1:180
    for ik=1:36
        ic1=ik*10 - 9;
        ic2= ik*10; 
       A(ic1:ic2,il) = fscanf(fid,'%e',10);
    end
    %
    % reorg -180 / 180
    B(181:360,il) = A(1:180,il);
    B(1:180,il) = A(181:360,il);
end
%

% on transpose 
D=B';
%
% elimination valeur terre
D(find(D==-99.9990))=NaN;
%
