function[nblig,ttt] = rdtsgnew(fichier);
%fichier='dd-m.csv'
%fichier='nokw0601-m.csv'

% lecture fichier TSG  NEW
% decodage et formation tableau 
%
% fichier LNEW
% 20/05/2006	07:00:18	49,4758	0,1720	13,893	27,867	34,085	63687FE10000	179	0
% 20/05/2006	07:05:18	49,4755	0,1708	13,891	27,867	34,084	63657FE00000	238	1
% 20/05/2006	07:10:18	49,4740	0,1642	13,999	27,650	33,929	63F87F510000	251	2
% 20/05/2006	07:15:18	49,4728	0,1588	13,678	27,636	33,660	62457E570000	248	3
% 
% in : nom du fichier TSGNEW
% out  : nblig : nbre de lignes valides du fichier
%      : ttt : tableau ( nblig,val(1:13))  parametres voyage
%
disp([fichier,'  lecture/decodage  fichier TSG NEW '])

% ouverture fichier
%fid=fopen(fichier);
%

% lcture par textread 
% 10 parametres 
% 20/05/2006	07:00:18	49,4758	0,1720	13,893	27,867	34,085	63687FE10000	179	0
% DD/MM/YYYY    HH:MN:SS    lat     lon     sst     sss     cond    hexcond        SOG  COG

%[sst,sss,cond,date,heure,status,lat,lon,sog,cog]...
%   = textread( fichier, '%f%f%f%s%s%s%f%f%f%f','delimiter',',','emptyvalue',NaN);

% 10 parametres  ??? 
[date,heure,lat,lon,sst,sss,cond,hcond,sog,cog]...
   = textread( fichier, '%s%s%f%f%f%f%f%s%f%f','delimiter',';','emptyvalue',NaN);

%
% NB : la presence  de NaN .. peut foutre la M...
%  en particulier status .. decoder en %c  !!!!
% 
% dimension 
[nblig,n] = size(sst);

% on recupere l'annee de depart
[j] = sscanf( date{1}, '%2d/%2d/%4d' );
year0 = j(3);

% =====================================================
% date{i} = '05/02/2006'
% date{i} = 05/02/2006
           
  % char : transforme cellule en tableau de chaine de character
  % cellstr transforme le tableau de chaine de character e celliules 
chdate=char(date);
chheure=char(heure);

% conversion en decimal
 % et extraction YYYY MM DD HH MN SS 
irec  = 0
% boucle ligne acq 
for i=1 : nblig;
    %
    % impression 
            if(mod(i,100)==0) disp(i);
%             status(i)
%             date(i)
%             heure(i)
            end;
            
     %
            % test integrite  date - heure
                  if  ( chdate(i,1:3) == 'NaN' ) | ...
                        (chheure(i,1:3) == 'NaN') 
                        
    % record pourri
                 % valeurs a NaN .. y compris tjtim !!!!!
                 irec
                 disp(' - record pourri')
                 
  thh(i,1) = NaN;
  tmn(i,1) = NaN;
  tss(i,1) = NaN;
  tdd(i,1) = NaN;
  tmm(i,1) = NaN;
  tyy(i,1) = NaN;
  tjj(i,1) = NaN;
  tjtim(i,1) = NaN;  
          
  
                  else
    % record valide
            
   %decodage HEURE
  [h] = sscanf( heure{i}, '%2d:%2d:%2d' );
  % decodage JOUR 
  [j] = sscanf( date{i}, '%2d/%2d/%4d' );
  
  thh(i,1) = h(1);
  tmn(i,1) = h(2);
  tss(i,1) = h(3);
  tdd(i,1) = j(1);
  tmm(i,1) = j(2);
  tyy(i,1) = j(3);
  %
  % calcul jour julien
  tjj(i,1) = to_day( year0, [j(3) j(2) j(1) h(1) h(2) h(3)] );
  
  % jour julien matlab
  tjtim(i,1) = datenum(j(3),j(2),j(1),h(1),h(2),h(3));
  
  %tmp = floor(lat(i));
  %lat(i) = ( tmp + ( (lat(i) - tmp )/ 60 ) * 100 ) * lat_sign;
  %tmp = floor(lon(i));
  %lon(i) = ( tmp + ( (lon(i) - tmp )/ 60 ) * 100 ) * lon_sign;
  %
  % si passage ligne chgt de date, on change de repere
% if( lon(i) < 0 ) 
%   lon(i) = lon(i) + 360;

     % fin test integrite
                  end
              
                  % increment record valide
                  irec = irec+1;
        
        % fin boucle 
    end
    
    % nombre de record valides
    nbrec= irec - 1

  % transpose vecteur jour julien 
  %tjj=tjd'
  
  
        % crible valeurs 1.E+36 pour sst et sss
        % fonction find  
        % donne les indices des elements differents de zero
        %sst = tab(:,8);
        %sst (find(sst > 1.e35)) = NaN;
        %
        %sss = tab(:,9);
        %sss (find(sss > 1.e35)) = NaN;
        %
        
        
        % remplissage ttt final
%   1   2   3    4  5   6   7   8   9    10   11   12   13   14    15     16     17
% cod flag yyyy  mo dd  hh  mn  ss  jd  lat  lon  sst  sss sdsst  sdsss corsst corsss
        ttt(:,1) = ones(nblig,1)*0;
        ttt(:,2) = ones(nblig,1)*0;
        ttt(:,3) = tyy;
        ttt(:,4) = tmm;
        ttt(:,5) = tdd;
        ttt(:,6) = thh;
        ttt(:,7) = tmn;
        ttt(:,8) = tss;
        
        %ttt(:,9) = tjj;
        ttt(:,9) = tjtim;
        
        ttt(:,10) = lat;
        ttt(:,11) = lon;
        ttt(:,12) = sog;
        ttt(:,13) = sst;
        ttt(:,14) = sss;
%
%       la suite .....
