% Programme de lecture des fichiers '.CSV' issus de LabView
%
% ---------------------------------------------------------
clear
clc

% Repertoire des fichiers a decoder
% ---------------------------------
% FILE_DIRECTORY =...
%   'F:\0-US025\UR-US Clientes\UR065 - LEGOS\UR065 - ORE SSS\Donnees\data';
 FILE_DIRECTORY ='./'

% Se place dans le repertoire des fichiers a decoder
% Les 'blanc' dans le nom du repertoir impose d''encadrer
% le nom du repertoir de guillemets 
% ------------------------------------------------------
eval( ['cd ''' FILE_DIRECTORY ''''] );

% Nom du fichier a decoder
% ------------------------
nFiles = 14;

file(1, :) = 'coli0602.txt';
file(2, :) = 'coli0603.txt';
file(3, :) = 'coli0604.txt';
file(4, :) = 'coli0605.txt';
file(5, :) = 'coli0606.txt';
file(6, :) = 'nokw0601.txt';
file(7, :) = 'nokw0602.txt';
file(8, :) = 'NUKA0601.TXT';
file(9, :) = 'NUKA0602.TXT';
file(10, :) = 'nuka0603.TXT';
file(11, :) = 'nuka0604.TXT';
file(12, :) = 'nuka0605.TXT';
file(13, :) = 'past0601.TXT';
file(14, :) = 'past0603.TXT';

% Boucle sur les Fichiers
% -----------------------
for iFile = 1:1:14

  tic
  
  % Lecture des fichiers Labviews
  % -----------------------------
  display( file(iFile, :) );
  fileName = [FILE_DIRECTORY '\' file(iFile, :)];
  
  [ nblig, DataIn] = rdtsglabview( fileName );
  
  toc
  
end  % Fin de boucle For ific == 

display( 'Fin du programme' );