% deco_TS_cb
%
% decodage fichier TSG 
% suivant type fichier input  ( valific)
% = 1 : ASC
% = 2 : LAB
% = 3 : labview modif .csv
% = 4 : labview gnral ( Y. Gouriou)
%
% decodage TSG et formation .mat
%
% ecriture .DAT
%

%$Id$

% repertoire et fichier generique 
    global dirTSG
    global fic
    
    % lecture - decodage TSG    
    % retour tab ( 14 parametres )

    % construction nom du fichier 
    %P.. de point d extension !!!!
    %fichier = [dirTSG,fic,'.',extTSG];
    
switch valific
    %
    case 1
        % fichier .ASC thermo V3
     fichier = [dirTSG,fic,'.ASC'];
    [nblig,tab] = rdtsgasc(fichier);
    
    case 2  
        % fichier .TXT TSG labview
     fichier = [dirTSG,fic,'.TXT'];
     [nblig,tab] = rdtsglab(fichier);
     
     case 3
        % fichier NEW   Denis Diverres
         fichier = [dirTSG,fic,'.csv'];
     [nblig,tab] = rdtsgnew(fichier);
     
     case 4
        % fichier LABVIEW   David Varillon 
         fichier = [dirTSG,fic,'.txt'];
     [nblig,str] = rdtsglabview(fichier);
     
     % str est une structure !!!!
     for ilig=1:nblig
         tab(ilig,3)=str(ilig).An;
         tab(ilig,4)=str(ilig).Mois;
         tab(ilig,5)=str(ilig).Jour;
         tab(ilig,6)=str(ilig).Heure;
         tab(ilig,7)=str(ilig).Min;
         tab(ilig,8)=str(ilig).Sec;
         
         tab(ilig,9)=str(ilig).ndate;
         
         tab(ilig,10)=str(ilig).Lat;
         tab(ilig,11)=str(ilig).Lon;
         
         tab(ilig,12)=str(ilig).Sog;
         
         tab(ilig,13)=str(ilig).Sst;
         tab(ilig,14)=str(ilig).Sss;
         
     end
     
     
     
%     case 3
%         % fichier .TDM (??) extraction oracle
%          fichier = [dirTSG,fic,'.TDM'];
%      [nblig,tab] = rdTSGTDM(fichier);
%           
%     case 4
%         % real time 
%          fichier = [dirTSG,fic];
%       [nblig,tab] = rdTSGRT(fichier);
%       
%     case 5
%       % CORIOLIS
%          fichier = [dirTSG,fic,'.nc'];
%      [nblig,tab] = rdTSGCOR(fichier);
%       
%     case 6 
%        % LEGOS
%        fichier = [dirTSG,fic];
%       [nblig,tab] = rdTSGLEG(fichier); 
     

end

% test et sortie premiminaire 

% on extrait des vecteurs 
    lat = tab(:,10);
    lon = tab(:,11);
    
    vit = tab(:,12);
    
    sst = tab(:,13);
    sss = tab(:,14);
    
    % construction jour julien absolu (pour timeplt)
    tjj(:,1:6) = tab(:,3:8);
    tjd=julian(tjj);
    
    % time plot
    figure
    %hp = timeplt(tjd,[lat lon vit sss sst],[1 2 3 4 5])
    hp = timeplt(tjd,[lat lon sss sst],[1 2 3 4])
    %
    title(fichier)
    
    % on prevoit les colonnes supplementaires ecart-type et valeurs  corriges 
     tab(:,15:18) = 0.;
    %
    %=====================================================================
    
    % sauvegarde MAT
    %
    % pour sauvegarder le RT ailleurs que dans le repertoire ftp !!
%     if(valific == 4) 
%         dirTSG = 'D:\SSSTSGRT\';
%     end
    
    fichier = [dirTSG,fic,'.mat']
    save(fichier,'tab')
    
    %=========================================================================
    % sauvegarde DAT  fichier ASCII .. 
   
    %
    % taille
    [nblig nbcol] = size(tab)
%
% sauvegarde ASCII TSG ... 
    fichier=[dirTSG,fic,'.dat']
 %
 fid=fopen(fichier,'w')
 %
 % ecriture ligne meta data 
 %
         % remplissage ttt final
%
for ilig=1:nblig
    %
     if(mod(ilig,1000)==0) disp(ilig);
     end
    %
    % formation ligne a ecrire
   
%line = [flsst flsss tyy tmo tdd thh tmn tss tjd lat lon  vit sst sss sdsst sdsss sstcor ssscor];
line = tab(ilig,:);
          %    1     2      3    4    5   6   7   8    9      10     11     12     13     14     15     16     17     18 
          % flsst   flsss  yyyy  mo  dd   hh  mn  ss   jd     lat    lon    vit    sst    sss   sdsst  sdsss sstcor ssscor        
 %fprintf(fid,'%2d   %2d   %5d  %3d %3d %3d %3d %3d %10.5f  %10.3f %10.3f %5.1f %10.3f %10.3f  %5.3f %5.3f  %10.3f %10.3f\n',line);
 fprintf(fid,'%2d%2d%5d%3d%3d%3d%3d%3d%15.5f%10.3f%10.3f%5.1f%10.3f%10.3f%6.3f%6.3f%10.3f%10.3f\n',line);
 %
end
%
fclose(fid);
    
% 
