%sbbd_TS_cb
%
% sauvagearde format base de donnes
%
% lecture    .DAT 
% sauvegarde .XML   
%    generation entete XML 

%$Id$
%
%
%   1    2     3    4  5   6   7   8   9    10   11   12   13   14    15     16     17    18
% flsst flsss yyyy  mo dd  hh  mn  ss  jd  lat  lon   vit  sst  sss sdsst  sdsss  sstcor ssscor
%
% reformattage
% format 
%PIRATA-FR12  ATALANTE  IRD  SBE21   DIVERRES
%YEAR       DAYS     LATX      LONX   ST21  ST21_Q ST21_C  SSPS SSPS_Q SSPS_C   
%2004 30.7298611 -00.0000 +004.4892 29.145       1  0.000 35.85       1  0.045

%SSPS;SEA SURFACE PRACTICAL SALINITY;P.S.U.;0;40;%6.3lf;99.999
%SSTP;SEA SURFACE TEMPERATURE;Celsius degree;-1.5;38;%6.3lf;99.999
 

    global dirTSG
    global fic 
    
% saisie nom du fichier mat ( ou DAT ???)
%ficmat=[dirTSG,fic]
%load(ficmat)

ficdat=[dirTSG,fic,'.dat']
tab = load(ficdat);
   
% on extrait des vecteurs  
% voir si extmat serait OK ???? 

  % flag QC sst et sss
    sstfl = tab(:,1);
    sssfl = tab(:,2);
    
    yyyy = tab(:,3);
    % anne en cours 
    year0=tab(1,3);
    tjy0=datenum(year0,1,1,0,0,0);
    
    mm = tab(:,4);
    dd = tab(:,5);
    hh = tab(:,6);
    mn = tab(:,7);
    ss = tab(:,8);
    tjy = tab(:,9);
    
    % jour julien matlab
    tjy = tab(:,9);
    % jour julien annee en cours pour  fic tsg SGBD
    tjd=tjy-tjy0;
   
    
    % parametres 
    lat = tab(:,10);
    lon = tab(:,11);
    vit = tab(:,12);
    
    sst = tab(:,13);
    sssori = tab(:,14);
    
    sss=tab(:,18);
    
   % nbre de record fichier TSG
    %nbrec = size(tjy)
    nbrec=length(tjy);
    
    % vecteur avec latitude non definie 
    klat=isnan(lat); 
    
     % date debut - fin
    datedeb=datenum(yyyy(1),mm(1),dd(1),hh(1),mn(1),ss(1));
    datefin=datenum(yyyy(nbrec),mm(nbrec),dd(nbrec),hh(nbrec),mn(nbrec),ss(nbrec));
    
    %
    % reformatage  format SGBD
    
      %fic = input(' - fichier TSG   ( sans extension .TSG) : ','s')
    fichier = [dirTSG,fic,'_tsg.xml']
    
    % taille
    [nblig nbcol] = size(tab)
%
%gestion fichier SGBD .TSG 
 fid=fopen(fichier,'w')
 
  
 % title XML 
 
line=['<?xml version="1.0" encoding="ISO-8859-1"?>'];
fprintf(fid,'%-s\n',line);

line=['<!DOCTYPE OCEANO PUBLIC "-//US025//DTD OCEANO//FR" "http://www.brest.ird.fr/us025/database/oceano.dtd">'];
fprintf(fid,'%-s\n',line);



line=['<OCEANO TYPE="TRAJECTOIRE">'];
fprintf(fid,'%-s\n',line); 

 
 % ecriture ENTETE  XML   meta Data
 wrhdxml
 
 
%  % justifi a gauche  ( %- )
% %PIRATA-FR12  ATALANTE  IRD  SBE21   XXXXXXX
% line1= [fic '  WATERBERG   IRD   SBE21   1742  DIVERRES  TRAJECTOIRE']
% fprintf(fid,'%-80s\n',line1)

line = ['  <DATA>'];
fprintf(fid,'%-s\n',line);

%         12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789
line = ['YEAR        DAYD      LATX       LONX    SSJT  SSJT_Q  SSJT_C    SSPS  SSPS_Q  SSPS_C'];
%        yyyy_ddd.ddddddd_ll1.lllll_l1ll.lllll_ttt.ttt_______q_ccc.ccc_sss.sss_______q_ccc.ccc
%          4        12         10       11        8       8       8       8       8       8
%          
fprintf(fid,'%-81s\n',line);

%
%  init correction a recuperer dans .dat 
sstcor = sst;
ssscor = sss;
sss = sssori;

for ilig=1:nblig
    %
     if(mod(ilig,1000)==0) disp(ilig);
     end
    %
    % formation ligne a ecrire
line = [ yyyy(ilig) tjd(ilig) lat(ilig) lon(ilig) sst(ilig) sstfl(ilig) sstcor(ilig) sss(ilig) sssfl(ilig) ssscor(ilig)];
fprintf(fid,'%4d%12.7f%+10.5f%+11.5f%8.3f%8d%8.3f%8.3f%8d%8.3f\n',line);
 %
end

% on termine le XML 
line = ['  </DATA>'];
fprintf(fid,'%-s\n',line);

line = ['</OCEANO>'];
fprintf(fid,'%-s\n',line);


%
fclose(fid);
    
