 % trace interactive map 
 %
 %
 % figure 
 fhmap = figure('position',[500 50 800 500],...
                 'name','MAP TSG',...
                 'tag','tag_MAP')
 %                'menubar','none');
 %
 %
    % creation
    % bouton analyse carte interactive
    ba = uicontrol('style','pushbutton',...
                   'position',[10 200 50 30],...
                   'string','ANALYS',...
                   'callback','analys_map_cb');
    
    % bouton de zoom carte 
    bz = uicontrol('style','pushbutton',...
                   'position',[10 150 50 30],...
                   'string','ZOOM',...
                   'callback','zoom_map_cb');
                      
    % bouton de close carte 
    bc = uicontrol('style','pushbutton',...
                   'position',[10 50 50 30],...
                   'string','CLOSE',...
                   'callback','close_map_cb');
   
   
% minmax  lat-lon
latmin = min(lat) - 10.;
latmax = max(lat) + 10.;
lonmin = min(lon) - 10. ;
lonmax = max(lon) + 10. ;

% init parametre MMAP
% init projection
    m_proj('Equidistant Cylindrical','lat',[latmin latmax],'long',[lonmin lonmax]);
    % trait de cote
    m_coast('patch',[0.9 0.9 0.9]);
    %m_grid('linest','-','xticklabels',[],'yticklabels',[],'ytick',[-80:40:80]);
    m_grid
    
    %xlabel(fic,'visible','on');
    %
    % trace point route sur graphique map 
    hold on
    % trait
    h1 = m_plot(lon,lat,'k');

 % point
    h2 = m_plot(lon,lat,'+r','MarkerSize',2);
    %  
    
      %title(fic)
    HT = title(chtitle,'FontSize',15,'FontWeight','bold')

   hold off
   
   GCFMAP=gcf
   GCAMAP=gca
    
