% rdbtl
function[vbuck] = rdbtl(fic)
%
%$Id$
%
% vbukk 9 colonnes
% yyyy mm dd hh mn jd lat lon sss
%
% fichier  btl ASCII 
%
%12345678901234567890123456789012345678901234567890
%yyyy mm dd  hh mm  Latitude Longitude  sssb
%2006 02 09  16 00   50.650     0.733  35.097
%2006 02 10  10 00   46.917    -7.483  35.47
%
%
%
disp([fic,'  lecture/decodage  fichier BTL  '])

% ouverture fichier
fid=fopen(fic);
% lecture  2 lignes enetetes
      % rappel du voyage
         cline=fgetl(fid)
     % descriptifs des colonnes 
	 cline=fgetl(fid)
%
        % compteur record fichier original
        irec = 0;
        
        % compteur ligne "valide" 
        ilig = 0;
        
        % boucle toujours vrai
        while 1
            irec = irec+1;      
            % impression 
            if(mod(irec,1)==0) disp(irec);
            end;
     
            %
            % lecture text de la ligne
            cline = fgetl(fid);  
            disp(cline);
            %
            ilig=ilig+1;
            %
            if ~ischar(cline), break, end
            %
            % passage valeur numerique
            %line = str2num(cline);
            %
            cyyyy=cline(1:4);
            cmm=cline(6:7);
            cdd=cline(9:10);
            chh=cline(13:14);
            cmn=cline(16:17);
            clat = cline(21:26);
            clon = cline(30:36);
            csssb = cline(39:44);
            
            tyyb = str2num(cyyyy);
            tmmb = str2num(cmm);
            tddb = str2num(cdd);
            thhb = str2num(chh);
            tmnb = str2num(cmn);
            %
            % calcul jour julien annee
                 % jour julien ( debut 0 - anne dbut )
                 %tjdb = to_day(yeard,tyyb,tmmb,tddb,thhb,tmnb); 
                 
                 % modif instant absolu 
                 tjbmat=datenum(tyyb,tmmb,tddb,thhb,tmnb,0);
                 
           % remplissage vbuck 
        
            vbuck(ilig,1) = tyyb;
            vbuck(ilig,2) = tmmb;
            vbuck(ilig,3) = tddb;
            vbuck(ilig,4) = thhb;
            vbuck(ilig,5) = tmnb;
            vbuck(ilig,6) = tjbmat;
            
            lat = str2num(clat);
            vbuck(ilig,7) = lat;
            lon = str2num(clon);
            vbuck(ilig,8) = lon;
            
            sssb = str2num(csssb);
            vbuck(ilig,9) = sssb;
            
            
        end 
