% rdbukket
function[vbuck] = rdbukket(fic,yeard)
%
% yeard : annee de depart pour calkcul jour julien
%
% vbukk 9 colonnes
% yyyy mm dd hh mn jd lat lon sss
%
% fichier bucket ASCII 
%
%1234567890123456789012345678901
%2001 131 839  2308  -3530 37454
%yyyymmddhhmn lat     lon  sssbu
%
%
%
disp([fic,'  lecture/decodage  fichier BUKKET  '])

% ouverture fichier
fid=fopen(fic);
% lecture ligne enetete
         cline=fgetl(fid)
%
        % compteur record fichier original
        irec = 0;
        
        % compteur ligne "valide" 
        ilig = 0;
        
        % boucle toujours vrai
        while 1
            irec = irec+1;      
            % impression 
            if(mod(irec,1)==0) disp(irec);
            end;
     
            %
            % lecture text de la ligne
            cline = fgetl(fid);  
            disp(cline);
            %
            ilig=ilig+1;
            %
            if ~ischar(cline), break, end
            %
            % passage valeur numerique
            %line = str2num(cline);
            %
            cyyyy=cline(1:4);
            cmm=cline(5:6);
            cdd=cline(7:8);
            chh=cline(9:10);
            cmn=cline(11:12);
            clat = cline(13:18);
            clon = cline(19:25);
            csssb = cline(26:31);
            
            tyyb = str2num(cyyyy);
            tmmb = str2num(cmm);
            tddb = str2num(cdd);
            thhb = str2num(chh);
            tmnb = str2num(cmn);
            %
            % calcul jour julien annee
                 % jour julien ( debut 0 - anne dbut )
                 %tjdb = to_day(yeard,tyyb,tmmb,tddb,thhb,tmnb); 
                 
                 % modif instant absolu 
                 tjbmat=datenum(tyyb,tmmb,tddb,thhb,tmnb,0);
                 
           % remplissage vbuck 
        
            vbuck(ilig,1) = tyyb;
            vbuck(ilig,2) = tmmb;
            vbuck(ilig,3) = tddb;
            vbuck(ilig,4) = thhb;
            vbuck(ilig,5) = tmnb;
            vbuck(ilig,6) = tjbmat;
            
            lat = str2num(clat);
            vbuck(ilig,7) = lat/100.;
            lon = str2num(clon);
            vbuck(ilig,8) = lon/100.;
            
            sssb = str2num(csssb);
            vbuck(ilig,9) = sssb/1000.;
            
            
        end 
