% gestion - lecture climatologie SSS ATL AD1    version 2
%
% 1 ligne d entete
%  ligne de definitions des colonnes Longitude  100W   -   20E
% 121 valeurs 
%
% 101 lignes de valeurs 
% colonne 1 : reperage lignes / latitude   60N   40S  
% colonnes 2 - 121 : 121 valeurs 
%
% valeur manquante 99999
%
 function[D]=rdssdad2
 %
% formation SSS climato 
% tableau 101 lignes * 121 colonnes
%
    global dirSSSCLIM
    global nblig nbcol latdeb londeb latpas lonpas latfin lonfin
    %
    % origine "raster" , latpas = -1 
nbcol = 121;
nblig=101;
lonpas=1;
latpas=-1;
londeb=-100.;
latdeb=60;
%
% fin geographique de la grille 
lonfin= (londeb + lonpas*nbcol) - 1;
latfin =(latdeb + latpas*nblig) + 1;
%
%
    % climato dessier version2
    %fic=['ssd_1-12.txt']
    % climato levitus
    %fic=['D:/SSSAD2/ssd_levi_1-12.txt']
    fic=[dirSSSCLIM,'ssd_levi_1-12.txt']
    %climato WOA
    %fic=['D:/SSSAD2/dwoa1-12.txt']
    %
    disp(fic);
    fid = fopen(fic,'r')
    %
 
    % saut de la  1ere  ligne
    fgetl(fid);
       
for il=1:nblig
        hdl = fscanf(fid,'%c',7);
	%for ic=1:121
        A(1:121,il) = fscanf(fid,'%f',121);
        %end
end

% elimination 1er record
%A(1,:) = [];

% reorganisation
% on transpose puis reshape 
D=A';
%
% elimination valeur  manquante et terre 
D(find(D==99999))=NaN;
%
