function [meansss,stdsss] = rdsssclimnc
% decodage climato WOA01AN 
% cas de SSS 

% $Id$
%
%clear all

% passage pour respect des calcul clim anterieurs ( dessier - levitus)
%  KLON [-180 - 180 ] -->  [0 - 360) 

global dirSSSCLIMAN

% ouverture netCDF
fileclimsssnc=[dirSSSCLIMAN 'woa01an.nc']

nc=netcdf(fileclimsssnc);

% dimension
% nblon=nc{'LONX'}(:)
% nblat=nc{'LATX'}(:)
% nbdep=nc{'DEPH'}(:)

% variables
klat = nc{'WOA01_LATX'} (:); 
klon = nc{'WOA01_LONX'} (:); 
kdep = nc{'WOA01_DEPH'} (:); 

% dimension 
nblon = length(klon)
nblat = length(klat)
nbdep = length(kdep)

%temp = nc{'WOA01_MEAN_TEMP'} (:,:,:); 
meansss = nc{'WOA01_MEAN_PSAL'} (:,:,1); 
%oxy1 = nc{'WOA01_MEAN_DOX1'} (:,:,:); 

stdsss = nc{'WOA01_STD_PSAL'} (:,:,1); 

nbpsss = nc{'WOA01_OBS_PSAL'} (:,:,1); 

% nc{'WOA01_LATX'} = ncfloat('WOA01_LATX') %% 180 elements.
% nc{'WOA01_LONX'} = ncfloat('WOA01_LONX') %% 360 elements.
% nc{'WOA01_DEPH'} = ncfloat('WOA01_DEPH') %% 33 elements.

% nc{'WOA01_MEAN_TEMP'} = ncfloat('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.
% nc{'WOA01_MEAN_PSAL'} = ncfloat('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.
% nc{'WOA01_MEAN_DOX1'} = ncfloat('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.


% nc{'WOA01_STD_TEMP'} = ncfloat('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.
% nc{'WOA01_STD_PSAL'} = ncfloat('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.
% nc{'WOA01_STD_DOX1'} = ncfloat('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.

% nc{'WOA01_OBS_TEMP'} = ncshort('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.
% nc{'WOA01_OBS_PSAL'} = ncshort('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.
% nc{'WOA01_OBS_DOX1'} = ncshort('WOA01_LATX', 'WOA01_LONX', 'WOA01_DEPH') %% 2138400 elements.


close(nc)

% valeur manquante
% = -99.999900XYZ   MEAN_PSAL et STD_PSAL

%temp(find(temp(:,:,:) <  -10 )) = NaN;
meansss(find(meansss(:,:) < -99.0)) = NaN;
%oxy1(find(oxy1(:,:,:) < 0)) = NaN;
stdsss(find(stdsss(:,:) < -99.0)) = NaN;

%=-100 OBS_PSAL
nbpsss(find(nbpsss(:,:) == -100)) = NaN;


% modif lon
bb=stdsss(:,1:180);
stdsss(:,1:180)=stdsss(:,181:360);
stdsss(:,181:360)=bb;


aa=meansss(:,1:180);
meansss(:,1:180)=meansss(:,181:360);
meansss(:,181:360)=aa;


