function[nblig,ttt] = rdTSGLEG(fichier);

% lecture fichier TSG  LEGOS
% decodage et formation tableau 
%
%
% in : nom du fichier TSGTDM
% out  : nblig : nbre de lignes valides du fichier
%      : ttt : tableau ( nblig,val(1:13))  parametres voyage

%
disp([fichier,'  lecture/decodage  fichier TSG  LEGOS '])

% ouverture fichier
%fid=fopen(fichier);
% lecture par textread 
%  idship     yyyy mm  dd hh mn  lat    lon    SST   SSS
%
%  TOUCAN     2001  1  1  0 10  44.12  -11.07 13.22 35.544
%  TOUCAN     2001  1  1  0 15  44.10  -11.07 13.23 35.544
%  TOUCAN     2001  1  1  0 20  44.10  -11.08 13.23 35.542
%     s         f   f  f  f  f    f        f     f    f

[idship,yyyy,mm,dd,hh,mn,lat,lon,sst,sss]...
    = textread( fichier, '%s%f%f%f%f%f%f%f%f%f','delimiter',' ','emptyvalue',NaN);
%
% dimension 
[nblig,n] = size(sst);

ss=zeros(nblig,1);

% on recupere l'annee de depart
year0 = yyyy(1);

% calcul jour julien
 jj = to_day(year0, yyyy, mm, dd, hh, mn, ss)
   
         % calcul vitesse 
        % en fait ..  flag vitesse 
        %  nbrec - lat/lon 
        [vit] = cavit (lat,lon,nblig);
        % retourne vit(1,N) ????
        
        % remplissage ttt final
%   1   2   3    4  5   6   7   8   9    10   11   12   13   14    15     16     17
% cod flag yyyy  mo dd  hh  mn  ss  jd  lat  lon   vit  sst  sss sdsst  sdsss corsst corsss
        ttt(:,1) = ones(nblig,1)*0;
        ttt(:,2) = ones(nblig,1)*0;
        ttt(:,3) = yyyy;
        ttt(:,4) = mm;
        ttt(:,5) = dd;
        ttt(:,6) = hh;
        ttt(:,7) = mn;
        ttt(:,8) = ss;
        ttt(:,9) = jj;
        ttt(:,10) = lat;
        ttt(:,11) = lon;
        ttt(:,12) = vit(:);
        ttt(:,13) = sst;
        ttt(:,14) = sss;
%
%       la suite .....
