function[nblig,ttt] = rdTSGTDM(fichier);

% lecture fichier TSG  TDM SGBD oracle 
% decodage et formation tableau 
%
%
% in : nom du fichier TSGTDM
% out  : nblig : nbre de lignes valides du fichier
%      : ttt : tableau ( nblig,val(1:13))  parametres voyage

%
disp([fichier,'  lecture/decodage  fichier TSG  TDM SGDB '])

% ouverture fichier
%fid=fopen(fichier);
%

% lcture par textread 
% CORA     200303 31/10/2003 09:42:58     166.39     -22.28      25.97     35.735  
% idship   idvoya dd/mm/yyyy hh:mn:ss       lon        lat        sst       sss
%    s       f         s         s           f          f          f          f
[idship,idvoya,date,heure,lon,lat,sst,sss]...
    = textread( fichier, '%s%f%s%s%f%f%f%f','delimiter',' ','emptyvalue',NaN);
%
% dimension 
[nblig,n] = size(sst);

% on recupere l'annee de depart
[j] = sscanf( date{1}, '%2d/%2d/%4d' );
year0 = j(3);

% conversion en decimal
 % et extracton YYYY MM DD HH MN SS 
for i=1 : nblig;
    %
    % impression 
            if(mod(i,1000)==0) disp(i);
            end;
            %
   %decodage HEURE
  [h] = sscanf( heure{i}, '%2d:%2d:%2d' );
  % decodage JOUR 
  [j] = sscanf( date{i}, '%2d/%2d/%4d' );
  
  thh(i,1) = h(1);
  tmn(i,1) = h(2);
  tss(i,1) = h(3);
  tdd(i,1) = j(1);
  tmm(i,1) = j(2);
  tyy(i,1) = j(3);
  %
  % calcul jour julien
  tjj(i,1) = to_day( year0, [j(3) j(2) j(1) h(1) h(2) h(3)] );
  
  %tmp = floor(lat(i));
  %lat(i) = ( tmp + ( (lat(i) - tmp )/ 60 ) * 100 ) * lat_sign;
  %tmp = floor(lon(i));
  %lon(i) = ( tmp + ( (lon(i) - tmp )/ 60 ) * 100 ) * lon_sign;
  %
  % si passage ligne chgt de date, on change de repere
  if( lon(i) < 0 ) 
    lon(i) = lon(i) + 360;
  end
end

% calcul vitesse !!!!

  % transpose vecteur jour julien 
  %tjj=tjd'
  
  
        % crible valeurs 1.E+36 pour sst et sss
        % fonction find  
        % donne les indices des elements differents de zero
        %sst = tab(:,8);
        %sst (find(sst > 1.e35)) = NaN;
        %
        %sss = tab(:,9);
        %sss (find(sss > 1.e35)) = NaN;
        %
        
        
         % calcul vitesse 
        % en fait ..  flag vitesse 
        %  nbrec - lat/lon 
        [vit] = cavit (lat,lon,nblig);
        % retourne vit(1,N) ????
        
        % remplissage ttt final
%   1   2   3    4  5   6   7   8   9    10   11   12   13   14    15     16     17
% cod flag yyyy  mo dd  hh  mn  ss  jd  lat  lon   vit  sst  sss sdsst  sdsss corsst corsss
        ttt(:,1) = ones(nblig,1)*0;
        ttt(:,2) = ones(nblig,1)*0;
        ttt(:,3) = tyy;
        ttt(:,4) = tmm;
        ttt(:,5) = tdd;
        ttt(:,6) = thh;
        ttt(:,7) = tmn;
        ttt(:,8) = tss;
        ttt(:,9) = tjj;
        ttt(:,10) = lat;
        ttt(:,11) = lon;
        ttt(:,12) = vit(:);
        ttt(:,13) = sst;
        ttt(:,14) = sss;
%
%       la suite .....
